Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157327 - ip.sh ignores SLAVE flag when looking for interfaces
Summary: ip.sh ignores SLAVE flag when looking for interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 17:26 UTC by Lon Hohberger
Modified: 2009-04-16 20:17 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-738
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:51:47 UTC


Attachments (Terms of Use)
Fixes bug (deleted)
2005-07-12 16:13 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:738 normal SHIPPED_LIVE rgmanager bug fix update 2005-10-07 04:00:00 UTC

Description Lon Hohberger 2005-05-10 17:26:13 UTC
Description of problem:

ip.sh will ignore the SLAVE flag when searching for an interface to bind the IP
address to.  This causes a slave interface to receive the IP instead of the
master (bonded) interface.

This is not reproducible on 2-NIC configurations, but has been reproduced on
6+NIC configurations.

In order for this to happen, the <bond> interface must be set up after the
physical (slave) interfaces.

Comment 1 Lon Hohberger 2005-05-10 17:27:25 UTC
Correction: this has not been reproduced on 2-NIC configurations, but has been
produced on 6+NIC configurations externally.

Comment 2 Lon Hohberger 2005-07-12 16:13:26 UTC
Created attachment 116663 [details]
Fixes bug

Comment 3 Lon Hohberger 2005-07-12 16:14:58 UTC
Fixes in CVS.  Setting to MODIFIED

Comment 5 Red Hat Bugzilla 2005-10-07 16:51:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-738.html



Note You need to log in before you can comment on or make changes to this bug.